"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function strict(token) {
    return token.type !== 'ignore';
}
exports.strict = strict;
function mild(token) {
    return strict(token) && token.type !== 'empty' && token.type !== 'new_line';
}
exports.mild = mild;
function weak(token) {
    return mild(token)
        && token.format !== 'comment'
        && token.type !== 'comment'
        && token.type !== 'block-comment';
}
exports.weak = weak;
const MODES = {
    mild,
    strict,
    weak,
};
function getModeByName(name) {
    if (name in MODES) {
        return MODES[name];
    }
    throw new Error(`Mode ${name} does not supported yet.`);
}
exports.getModeByName = getModeByName;
function getModeHandler(mode) {
    return typeof mode === 'string' ? getModeByName(mode) : mode;
}
exports.getModeHandler = getModeHandler;
//# sourceMappingURL=mode.js.map