"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MemoryStore {
    constructor() {
        this.values = {};
    }
    namespace(namespace) {
        this._namespace = namespace;
        this.values[namespace] = this.values[namespace] || {};
    }
    get(key) {
        return new Promise((resolve, reject) => {
            if (key in this.values[this._namespace]) {
                resolve(this.values[this._namespace][key]);
            }
            else {
                reject(new Error('not found'));
            }
        });
    }
    set(key, value) {
        this.values[this._namespace][key] = value;
        return Promise.resolve(value);
    }
    close() {
        this.values = {};
    }
}
exports.MemoryStore = MemoryStore;
//# sourceMappingURL=memory.js.map