import { IClone, IMapFrame, IOptions, IStore, ISubscriber, ITokenizer, Statistic } from '@jscpd/core';
import { EntryWithContent, IHook, IReporter } from './interfaces';
export declare class InFilesDetector {
    private readonly tokenizer;
    private readonly store;
    private readonly statistic;
    readonly options: IOptions;
    private readonly reporters;
    private readonly subscribes;
    private readonly postHooks;
    constructor(tokenizer: ITokenizer, store: IStore<IMapFrame>, statistic: Statistic, options: IOptions);
    registerReporter(reporter: IReporter): void;
    registerSubscriber(subscriber: ISubscriber): void;
    registerHook(hook: IHook): void;
    detect(fls: EntryWithContent[]): Promise<IClone[]>;
}
