"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const safe_1 = require("colors/safe");
const reports_1 = require("../utils/reports");
const Table = require('cli-table3');
class ConsoleReporter {
    constructor(options) {
        this.options = options;
    }
    report(clones, statistic = undefined) {
        if (statistic && !this.options.silent) {
            const table = new Table({
                head: ['Format', 'Files analyzed', 'Total lines', 'Total tokens', 'Clones found', 'Duplicated lines', 'Duplicated tokens'],
            });
            Object.keys(statistic.formats)
                .filter((format) => statistic.formats[format].sources)
                .forEach((format) => {
                table.push(reports_1.convertStatisticToArray(format, statistic.formats[format].total));
            });
            table.push(reports_1.convertStatisticToArray(safe_1.bold('Total:'), statistic.total));
            console.log(table.toString());
            console.log(safe_1.grey(`Found ${clones.length} clones.`));
        }
    }
}
exports.ConsoleReporter = ConsoleReporter;
//# sourceMappingURL=console.js.map