"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@jscpd/core");
const fs_extra_1 = require("fs-extra");
const safe_1 = require("colors/safe");
const path_1 = require("path");
const reports_1 = require("../utils/reports");
class CSVReporter {
    constructor(options) {
        this.options = options;
    }
    report(clones, statistic) {
        const report = [
            ['Format', 'Files analyzed', 'Total lines', 'Total tokens', 'Clones found', 'Duplicated lines', 'Duplicated tokens'],
            ...Object.keys(statistic.formats).map((format) => reports_1.convertStatisticToArray(format, statistic.formats[format].total)),
            reports_1.convertStatisticToArray('Total:', statistic.total)
        ].map((arr) => arr.join(',')).join('\n');
        fs_extra_1.ensureDirSync(core_1.getOption('output', this.options));
        fs_extra_1.writeFileSync(core_1.getOption('output', this.options) + '/jscpd-report.csv', report);
        console.log(safe_1.green(`CSV report saved to ${path_1.join(this.options.output, 'jscpd-report.csv')}`));
    }
}
exports.CSVReporter = CSVReporter;
//# sourceMappingURL=csv.js.map