"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const reports_1 = require("../utils/reports");
class XcodeReporter {
    constructor(options) {
        this.options = options;
    }
    report(clones) {
        clones.forEach((clone) => {
            this.cloneFound(clone);
        });
        console.log(`Found ${clones.length} clones.`);
    }
    cloneFound(clone) {
        const pathA = reports_1.getPath(clone.duplicationA.sourceId, Object.assign(Object.assign({}, this.options), { absolute: true }));
        const pathB = reports_1.getPath(clone.duplicationB.sourceId, this.options);
        const startLineA = clone.duplicationA.start.line;
        const characterA = clone.duplicationA.start.column;
        const endLineA = clone.duplicationA.end.line;
        const startLineB = clone.duplicationB.start.line;
        const endLineB = clone.duplicationB.end.line;
        console.log(`${pathA}:${startLineA}:${characterA}: warning: Found ${endLineA - startLineA} lines (${startLineA}-${endLineA}) duplicated on file ${pathB} (${startLineB}-${endLineB})`);
    }
}
exports.XcodeReporter = XcodeReporter;
//# sourceMappingURL=xcode.js.map