"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const safe_1 = require("colors/safe");
class VerboseSubscriber {
    constructor(options) {
        this.options = options;
    }
    subscribe() {
        return {
            'CLONE_FOUND': (payload) => {
                const { clone } = payload;
                console.log(safe_1.yellow('CLONE_FOUND'));
                console.log(safe_1.grey(JSON.stringify(clone, null, '\t')));
            },
            'CLONE_SKIPPED': (payload) => {
                const { validation } = payload;
                console.log(safe_1.yellow('CLONE_SKIPPED'));
                console.log(safe_1.grey('Clone skipped: ' + validation.message.join(' ')));
            },
            'START_DETECTION': (payload) => {
                const { source } = payload;
                console.log(safe_1.yellow('START_DETECTION'));
                console.log(safe_1.grey('Start detection for source id=' + source.getId() + ' format=' + source.getFormat()));
            },
        };
    }
}
exports.VerboseSubscriber = VerboseSubscriber;
//# sourceMappingURL=verbose.js.map