"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const grammar = {
    language: 'tap',
    init(Prism) {
        Prism.languages.tap = {
            fail: /not ok[^#{\n\r]*/,
            pass: /ok[^#{\n\r]*/,
            pragma: /pragma [+-][a-z]+/,
            bailout: /bail out!.*/i,
            version: /TAP version \d+/i,
            plan: /\d+\.\.\d+(?: +#.*)?/,
            subtest: {
                pattern: /# Subtest(?:: .*)?/,
                greedy: true
            },
            punctuation: /[{}]/,
            directive: /#.*/,
            yamlish: {
                pattern: /(^[ \t]*)---[\s\S]*?[\r\n][ \t]*\.\.\.$/m,
                lookbehind: true,
                inside: Prism.languages.yaml,
                alias: 'language-yaml'
            }
        };
    },
};
exports.default = grammar;
//# sourceMappingURL=tap.js.map